package com.mints.goodmoney.mvp.model;

import java.io.Serializable;
import java.util.List;

public class FriendsTaskBean implements Serializable {

    /**
     * challenge : {"complete":0,"list":[{"button":"去邀请","rewardCoin":100,"title":"任务一","remarks":"邀请1个好友 （0/1)","status":0},{"button":"去邀请","rewardCoin":200,"title":"任务二","remarks":"邀请5个好友 （0/5)","status":0},{"button":"去邀请","rewardCoin":300,"title":"任务三","remarks":"邀请10个好友 （0/10)","status":0},{"button":"去邀请","rewardCoin":400,"title":"任务四","remarks":"邀请20个好友 （0/20)","status":0},{"button":"去邀请","rewardCoin":500,"title":"任务五","remarks":"邀请50个好友 （0/50)","status":0},{"button":"去邀请","rewardCoin":600,"title":"任务六","remarks":"邀请100个好友 （0/100)","status":0}]}
     * friends : {"friendSum":1,"list":[{"head":"","rcoin":0,"nickName":"","mobile":"186****1554","ruid":2028614250701500000,"time":"10月14日","cashout":0}]}
     */

    private ChallengeBean challenge;
    private FriendsBean friends;

    public ChallengeBean getChallenge() {
        return challenge;
    }

    public void setChallenge(ChallengeBean challenge) {
        this.challenge = challenge;
    }

    public FriendsBean getFriends() {
        return friends;
    }

    public void setFriends(FriendsBean friends) {
        this.friends = friends;
    }

    public class ChallengeBean implements Serializable{
        /**
         * complete : 0
         * list : [{"button":"去邀请","rewardCoin":100,"title":"任务一","remarks":"邀请1个好友 （0/1)","status":0},{"button":"去邀请","rewardCoin":200,"title":"任务二","remarks":"邀请5个好友 （0/5)","status":0},{"button":"去邀请","rewardCoin":300,"title":"任务三","remarks":"邀请10个好友 （0/10)","status":0},{"button":"去邀请","rewardCoin":400,"title":"任务四","remarks":"邀请20个好友 （0/20)","status":0},{"button":"去邀请","rewardCoin":500,"title":"任务五","remarks":"邀请50个好友 （0/50)","status":0},{"button":"去邀请","rewardCoin":600,"title":"任务六","remarks":"邀请100个好友 （0/100)","status":0}]
         */

        private int complete;
        private List<ListBean> list;

        public int getComplete() {
            return complete;
        }

        public void setComplete(int complete) {
            this.complete = complete;
        }

        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }

        public class ListBean implements Serializable{
            /**
             * button : 去邀请
             * rewardCoin : 100
             * title : 任务一
             * remarks : 邀请1个好友 （0/1)
             * status : 0
             */

            private String button;
            private int rewardCoin;
            private String title;
            private String remarks;
            private int status;
            private String carrierType;

            public String getCarrierType() {
                return carrierType;
            }

            public void setCarrierType(String carrierType) {
                this.carrierType = carrierType;
            }

            public String getButton() {
                return button;
            }

            public void setButton(String button) {
                this.button = button;
            }

            public int getRewardCoin() {
                return rewardCoin;
            }

            public void setRewardCoin(int rewardCoin) {
                this.rewardCoin = rewardCoin;
            }

            public String getTitle() {
                return title;
            }

            public void setTitle(String title) {
                this.title = title;
            }

            public String getRemarks() {
                return remarks;
            }

            public void setRemarks(String remarks) {
                this.remarks = remarks;
            }

            public int getStatus() {
                return status;
            }

            public void setStatus(int status) {
                this.status = status;
            }
        }
    }

    public class FriendsBean implements Serializable{
        /**
         * friendSum : 1
         * list : [{"head":"","rcoin":0,"nickName":"","mobile":"186****1554","ruid":2028614250701500000,"time":"10月14日","cashout":0}]
         */

        private int friendSum;
        private List<ListBeanX> list;

        public int getFriendSum() {
            return friendSum;
        }

        public void setFriendSum(int friendSum) {
            this.friendSum = friendSum;
        }

        public List<ListBeanX> getList() {
            return list;
        }

        public void setList(List<ListBeanX> list) {
            this.list = list;
        }

        public class ListBeanX implements Serializable{
            /**
             * head :
             * rcoin : 0
             * nickName :
             * mobile : 186****1554
             * ruid : 2028614250701500000
             * time : 10月14日
             * cashout : 0
             */

            private String head;
            private int coin;
            private String nickName;
            private String mobile;
            private String idcode;

            public int getSumCoin() {
                return coin;
            }

            public void setSumCoin(int sumCoin) {
                this.coin = sumCoin;
            }

            public String getIdcode() {
                return idcode;
            }

            public void setIdcode(String idcode) {
                this.idcode = idcode;
            }

            public String getHead() {
                return head;
            }

            public void setHead(String head) {
                this.head = head;
            }

            public String getNickName() {
                return nickName;
            }

            public void setNickName(String nickName) {
                this.nickName = nickName;
            }

            public String getMobile() {
                return mobile;
            }

            public void setMobile(String mobile) {
                this.mobile = mobile;
            }

        }
    }
}
